Skip to main content
`Ctrl`+`K`

# STGetShift

Gets the shift associated with the spectral transformation.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetShift(ST st,PetscScalar* shift)

Not Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameter

- shift - the value of the shift

## See Also

ST: Spectral Transformation, `STSetShift()`

## Level

intermediate

## Location

src/sys/classes/st/interface/stfunc.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages